Package org.eclipse.rdf4j.spin.function

## Class SpinxFunction

- java.lang.Object
- - org.eclipse.rdf4j.spin.function.SpinxFunction

- All Implemented Interfaces:
    `Function`, `TransientFunction`

      public class SpinxFunction
      extends Object
      implements TransientFunction

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpinxFunction​(String uri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addArgument​(Argument arg)` |
    `Value` | `evaluate​(ValueFactory valueFactory, Value... args)` | Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `List<Argument>` | `getArguments()` |
    `IRI` | `getReturnType()` |
    `String` | `getScript()` |
    `ScriptEngine` | `getScriptEngine()` |
    `String` | `getURI()` |
    `void` | `setReturnType​(IRI datatype)` |
    `void` | `setScript​(String script)` |
    `void` | `setScriptEngine​(ScriptEngine engine)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, mustReturnDifferentResult`

- - ### Constructor Detail

    - #### SpinxFunction

          public SpinxFunction​(String uri)

  - ### Method Detail

    - #### setScriptEngine

          public void setScriptEngine​(ScriptEngine engine)

    - #### getScriptEngine

          public ScriptEngine getScriptEngine()

    - #### setScript

          public void setScript​(String script)

    - #### getScript

          public String getScript()

    - #### setReturnType

          public void setReturnType​(IRI datatype)

    - #### getReturnType

          public IRI getReturnType()

    - #### addArgument

          public void addArgument​(Argument arg)

    - #### getArguments

          public List<Argument> getArguments()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `Function`

    - #### evaluate

          public Value evaluate​(ValueFactory valueFactory,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`